corda / net.corda.contracts.testing / DummyDealContract / State

# State

`data class State : DealState`

### Constructors

<init> | `State(contract: Contract = DummyDealContract(), participants: List<CompositeKey> = listOf(), linearId: UniqueIdentifier = UniqueIdentifier(), ref: String, parties: List<AnonymousParty> = listOf())`

### Properties

contract | `val contract: Contract` An instance of the contract class that will verify this state.
linearId | `val linearId: UniqueIdentifier` Unique id shared by all LinearState states throughout history within the vaults of all parties. Verify methods should check that one input and one output share the id in a transaction, except at issuance/termination.
participants | `val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.
parties | `val parties: List<AnonymousParty>` Exposes the Parties involved in a generic way.
ref | `val ref: String` Human readable well known reference (e.g. trade reference)

### Functions

generateAgreement | `fun generateAgreement(notary: Party): TransactionBuilder` Generate a partial transaction representing an agreement (command) to this deal, allowing a general deal/agreement flow to generate the necessary transaction for potential implementations.
isRelevant | `fun isRelevant(ourKeys: Set<PublicKey>): Boolean` True if this should be tracked by our vault(s).